Subject: [bug#74522] [PATCH 00/73] Moving Guix to libglvnd

From: Noé Lopez <[email-masked]>
Date: Tue, 26 Nov 2024 00:00:10 +0100

Hi, just a few questions I hope are relevant:

What is the advantage of libglvnd over mesa’s libgl?

How does the change affect current configurations?

Can this break reproducibility at runtime? (e.g. a package works only with
mesa’s libgl, but the user has nvidia’s in his profile so it gets
selected based on factors external to guix)

Thanks for your work,
Noé Lopez
> Oh yeah for sure. A V2 wouldn't look so excessive, all the simple variable
> replacements could be squashed into one commit.
> 
> On Sun, Nov 24, 2024, 11:17 PM Liliana Marie Prikler <
> [email-masked]> wrote:
> 
> > Am Sonntag, dem 24.11.2024 um 21:41 -0600 schrieb The Man:
> > > Change-Id: I78d884f62af4a0cf7fe6dd0fc980a4063b784f9a
> > > ---
> > >  gnu/packages/emulators.scm | 34 +++++++++++++++++-----------------
> > The ChangeLog is missing.  Ditto for all the other patches I got.  I'd
> > hazard a guess that much of this could be squashed together.
> >
> > Cheers
> >